Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061345 - ibus-table shows entered text in password fields
Summary: ibus-table shows entered text in password fields
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-table
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 16:14 UTC by Mike FABIAN
Modified: 2014-03-04 06:37 UTC (History)
7 users (show)

Fixed In Version: ibus-table-1.5.0.20140218-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-04 06:36:15 UTC


Attachments (Terms of Use)
0001-Add-check-for-input-purpose-for-gnome-shell-password.patch (deleted)
2014-02-04 16:23 UTC, Mike FABIAN
no flags Details | Diff

Description Mike FABIAN 2014-02-04 16:14:45 UTC
Similar to bug#1013008 for ibus-typing-booster.

ibus-table also shows the input text when typing into gnome password
fields.

Comment 1 Mike FABIAN 2014-02-04 16:23:53 UTC
Created attachment 859230 [details]
0001-Add-check-for-input-purpose-for-gnome-shell-password.patch

Patch to fix the problem.

Comment 2 Fedora Update System 2014-02-18 21:46:45 UTC
ibus-table-1.5.0.20140218-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-table-1.5.0.20140218-1.fc19

Comment 3 Fedora Update System 2014-02-18 21:48:07 UTC
ibus-table-1.5.0.20140218-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-table-1.5.0.20140218-1.fc20

Comment 4 Fedora Update System 2014-02-22 00:35:47 UTC
Package ibus-table-1.5.0.20140218-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-table-1.5.0.20140218-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2781/ibus-table-1.5.0.20140218-1.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-03-04 06:36:15 UTC
ibus-table-1.5.0.20140218-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-03-04 06:37:45 UTC
ibus-table-1.5.0.20140218-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.